org.apache.cassandra.cql3.statements

## Class ListRolesStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthorizationStatement
    - - org.apache.cassandra.cql3.statements.ListRolesStatement

All Implemented Interfaces:
  CQLStatement

Direct Known Subclasses:
  ListUsersStatement

    public class ListRolesStatement
    extends AuthorizationStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Constructor Summary

Constructors
Constructor and Description
`ListRolesStatement()`
`ListRolesStatement(RoleName grantee, boolean recursive)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`ResultMessage` `execute(ClientState state)`
`protected ResultMessage` `formatResults(java.util.List<RoleResource> sortedRoles)`
`void` `validate(ClientState state)` Perform additional validation required by the statment.

### Methods inherited from class org.apache.cassandra.cql3.statements.AuthorizationStatement

`execute, executeInternal, getBoundTerms, maybeCorrectResource, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

`getFunctions`

### Constructor Detail

#### ListRolesStatement

    public ListRolesStatement()

#### ListRolesStatement

    public ListRolesStatement(RoleName grantee,
                              boolean recursive)

### Method Detail

#### validate

    public void validate(ClientState state)
                  throws UnauthorizedException,
                         InvalidRequestException

Description copied from interface: `CQLStatement`
Perform additional validation required by the statment. To be overriden by subclasses if needed.

Parameters:
  `state` - the current client state
Throws:
  `UnauthorizedException`
  `InvalidRequestException`

#### checkAccess

    public void checkAccess(ClientState state)
                     throws InvalidRequestException

Description copied from interface: `CQLStatement`
Perform any access verification necessary for the statement.

Parameters:
  `state` - the current client state
Throws:
  `InvalidRequestException`

#### execute

    public ResultMessage execute(ClientState state)
                          throws RequestValidationException,
                                 RequestExecutionException

Specified by:
  `execute` in class `AuthorizationStatement`
Throws:
  `RequestValidationException`
  `RequestExecutionException`

#### formatResults

    protected ResultMessage formatResults(java.util.List<RoleResource> sortedRoles)